Good news ! Hackbusters community is waiting for you !  https://discuss.hackbusters.com
KnowBe4 has been running the HackBusters site for a few years now, providing you with trending IT security news. We are expanding it and have launched a new exciting online community! The forum is divided into four main topics or categories: Social Engineering, Ransomware, Phishing and Security Awareness Training. You are invited to be one of the first to join us at: https://discuss.hackbusters.com.

Updates Released For Critical Vulnerabilities in Adobe Acrobat and Reader

Adobe-logo

Today, Adobe released security updates that fix numerous critical vulnerabilities in Adobe Acrobat and Reader. This was a massive update, with over 87 vulnerabilities being patchedby Adobe.

Of these 87 vulnerability, 39 were Critical, which means that they allowed an attacker to perform code execution or privilege escalation on a vulnerable computer. A code execution vulnerability is when an attacker can run commands on the vulnerable computer, while a privilege escalation vulnerability allows an attacker to execute commands at higher privilege level.

When you chain these two types of vulnerabilities together, an attacker can gain full control of a vulnerable computer.

Due to this, it is strongly advised that you update to the latest version of Adobe Acrobat and Reader as soon as possible so that you can be protected from these vulnerabilities.

Adobe Flash Zero-Day patches earlier this month

Earlier this month, Adobe released an update for Flash Player that fixed a critical...(continued)

View All Trending Stories